%global modsuffix authnz_external
%global conffile %{modsuffix}.conf

%define scl_prefix httpd24-
%define scl_runtime httpd24-runtime


%if 0%{?scl:1}
%{!?_httpd24_apxs:       %{expand: %%global _httpd24_apxs       %%{_sbindir}/apxs}}
%{!?_httpd24_mmn:        %{expand: %%global _httpd24_mmn        %%(cat %{_includedir}/httpd/.mmn 2>/dev/null || echo missing-httpd-devel)}}
%{!?_httpd24_confdir:    %{expand: %%global _httpd24_confdir    %%{_sysconfdir}/httpd/conf.d}}
# /etc/httpd/conf.d with httpd < 2.4 and defined as /etc/httpd/conf.modules.d with httpd >= 2.4
%{!?_httpd24_modconfdir: %{expand: %%global _httpd24_modconfdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd24_moddir:    %{expand: %%global _httpd24_moddir    %%{_libdir}/httpd/modules}}
%{!?_httpd24_libdir:    %{expand: %%global _httpd24_libdir    %%{_libdir}}}
%{!?_rhmap_mod_docdir:    %{expand: %%global _rhmap_mod_docdir    /opt/rh/rhmap/root%{_docdir}/%{name}-%{version}}}
%else
%{!?_httpd_apxs:       %{expand: %%global _httpd_apxs       %%{_sbindir}/apxs}}
%{!?_httpd_mmn:        %{expand: %%global _httpd_mmn        %%(cat %{_includedir}/httpd/.mmn 2>/dev/null || echo missing-httpd-devel)}}
%{!?_httpd_confdir:    %{expand: %%global _httpd_confdir    %%{_sysconfdir}/httpd/conf.d}}
# /etc/httpd/conf.d with httpd < 2.4 and defined as /etc/httpd/conf.modules.d with httpd >= 2.4
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_moddir:    %{expand: %%global _httpd_moddir    %%{_libdir}/httpd/modules}}
%{!?_httpd_libdir:    %{expand: %%global _httpd_libdir    %%{_libdir}}}
%{!?_mod_docdir:    %{expand: %%global _mod_docdir    %%{_docdir}/%{name}-%{version}}}
%endif

Summary: An Apache module used for authentication
Name: rhmap-mod_%{modsuffix}
Version: 3.3.1
Release: 7%{?dist}map
License: ASL 1.0
Group: System Environment/Libraries
URL: http://code.google.com/p/mod-auth-external/
Source: http://mod-auth-external.googlecode.com/files/mod_%{modsuffix}-%{version}.tar.gz
Source1: %{conffile}
Patch1: mod_authnz_external-3.3.1-remote_ip.patch
%if 0%{?scl:1}
Requires: %{?scl:%scl_prefix}httpd-mmn = %{_httpd24_mmn}
%else
Requires: httpd-mmn = %{_httpd_mmn}
%endif
%{?scl:BuildRequires: scl-utils-build}
BuildRequires: %{?scl:%scl_prefix}httpd-devel
%{?scl:Requires:%scl_runtime}

# Suppres auto-provides for module DSO
%{?filter_provides_in: %filter_provides_in %{_libdir}/httpd/modules/.*\.so$}
%{?filter_setup}


%description
Mod_Auth_External can be used to quickly construct secure, reliable
authentication systems.  It can also be mis-used to quickly open gaping
holes in your security.  Read the documentation, and use with extreme
caution.


%prep
%setup -q -n mod_%{modsuffix}-%{version}
%patch1 -p1 -b .remote_ip

%build
%if 0%{?scl:1}
%{_httpd24_apxs} -c -I . mod_%{modsuffix}.c
%else
%{_httpd_apxs} -c -I . mod_%{modsuffix}.c
%endif


%install
%if 0%{?scl:1}
mkdir -p %{buildroot}%{_httpd24_moddir} %{buildroot}%{_httpd24_modconfdir} %{buildroot}%{_rhmap_mod_docdir}
%{_httpd24_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd24_moddir} -n mod_%{modsuffix} mod_%{modsuffix}.la
install -p -m 644 -t %{buildroot}%{_httpd24_modconfdir}/ %{SOURCE1}
install -p -m 644 AUTHENTICATORS CHANGES README TODO UPGRADE %{buildroot}%{_rhmap_mod_docdir}
%else
mkdir -p %{buildroot}%{_httpd_moddir} %{buildroot}%{_httpd_modconfdir} %{buildroot}%{_mod_docdir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} -n mod_%{modsuffix} mod_%{modsuffix}.la
install -p -m 644 -t %{buildroot}%{_httpd_modconfdir}/ %{SOURCE1}
install -p -m 644 AUTHENTICATORS CHANGES README TODO UPGRADE %{buildroot}%{_mod_docdir}
%endif


# in case we're on a 64-bit machine, otherwise a no-op
%if 0%{?scl:1}
sed -i \
	-e 's@/usr/lib/@%{_httpd24_libdir}/@' \
	%{buildroot}%{_httpd24_modconfdir}/%{conffile}
%else
sed -i \
	-e 's@/usr/lib/@%{_httpd_libdir}/@' \
	%{buildroot}%{_httpd_modconfdir}/%{conffile}
%endif


%files
%if 0%{?scl:1}
%{_httpd24_moddir}/*.so
%config(noreplace) %lang(en) %{_httpd24_modconfdir}/*.conf
%docdir %{_rhmap_mod_docdir}
%{_rhmap_mod_docdir}
%else
%{_httpd_moddir}/*.so
%config(noreplace) %lang(en) %{_httpd_modconfdir}/*.conf
%docdir %{_mod_docdir}
%{_mod_docdir}
%endif


%changelog
* Thu Aug 11 2016 Andrea Vibelli <avibelli@redhat.com> - 3.3.1-7map
- Creation of the package to be installed as an extension of httpd, as a Software Collection module

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 04 2012 Philip Prindeville <philipp@fedoraproject.org> 3.2.6-1
- Initial version post packaging review.

* Tue Apr 17 2012 Philip Prindeville <philipp@fedoraproject.org> 3.2.6-0
- Initial RPM packaging.
